Bug 501551 - occasionally sends no data to PA [NEEDINFO]
occasionally sends no data to PA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 13:40 EDT by Bill Nottingham
Modified: 2014-03-16 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (notting)


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-05-19 13:40:06 EDT
Description of problem:

On some song switches, rhythmbox suddenly becomes mute.

If I examine it, its volume is enabled, and fairly high. The system volume is also unmuted, and reasonable. (paplay and totem both work).

rhythmbox also still has a valid connection to PA - it shows up in gnome-volume-control and pavucontrol.

However, there's no audio - the equalizer in pavucontrol does not move. Stopping and starting playback does not help; neither does a track switch.

Restarting rhythmbox seems to fix it.

Version-Release number of selected component (if applicable):

rhythmbox-0.12.1-2.fc11.x86_64
gstreamer-0.10.23-1.fc11.x86_64
pulseaudio-0.9.15-11.fc11.x86_64
kernel-2.6.29.3-140.fc11.x86_64

Steps to Reproduce:
1. Start rhythmbox
2. Play for a while
3. Hey wait, where did the sound go?
Comment 1 Bug Zapper 2009-06-09 12:07:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Craig Kelley 2009-06-17 11:16:52 EDT
This happens to me as well.  Clicking "next" wakes it back up.
Comment 3 Bastien Nocera 2009-06-17 11:39:27 EDT
This is likely a problem in the playback engine. Try switching off the fade backend in the preferences (or vice-versa if it's already disabled) and let me know.

Right now, the latest PA updates just die after a minute of usage, so I can't really reproduce the problem.
Comment 4 Bug Zapper 2010-04-27 10:24:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:36:46 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.